Summary:	A mudclient for the GNOME platform
Name:		gnome-mud
Version:	0.11.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Games/Adventure
URL:		http://live.gnome.org/GnomeMud
Source0:	http://fr2.rpmfind.net/linux/gnome.org/sources/gnome-mud/0.11/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
Buildrequires:	libvte-devel
%if %mdkversion < 200810 
BuildRequires:	libgstreamer0.10-devel
%else
BuildRequires:	gstreamer0.10-devel
%endif
BuildRequires:	intltool libgnet2-devel pcre-devel
BuildRequires:	libGConf2-devel gnome-doc-utils
BuildRequires:  libglade2.0-devel
BuildRequires:	desktop-file-utils

%description
GNOME-Mud is a mudclient for the GNOME platform. Features include:

  * ANSI
  * Aliases
  * Triggers
  * Variables
  * Profiles
  * Multiple connections
  * Python scripting
  * C modules
  * and much much more... 

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mv %buildroot%_gamesdatadir/applications %buildroot%_datadir/
mv %buildroot%_gamesdatadir/icons %buildroot%_datadir/

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--add-category='GTK;AdventureGame' \
	%buildroot%_datadir/applications/*.desktop

%find_lang %name --with-gnome

%post
%if %mdkversion < 200900
%update_menus
%post_install_gconf_schemas gnome-mud
%update_scrollkeeper
%endif

%preun
%preun_uninstall_gconf_schemas gnome-mud

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%endif

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README INSTALL ROADMAP
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-mud.schemas
%{_gamesbindir}/gnome-mud
%{_datadir}/applications/gnome-mud.desktop
%{_iconsdir}/*/*/*/*
%{_gamesdatadir}/%name
%{_mandir}/man6/%name.*


%changelog
* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.11.2-4mdv2010.0
+ Revision: 384683
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.11.2-3mdv2010.0
+ Revision: 382163
- rebuild for new libvte

* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.11.2-2mdv2010.0
+ Revision: 375492
- fix Group (fix #49511)

* Sun Mar 15 2009 Funda Wang <fundawang@mandriva.org> 0.11.2-1mdv2009.1
+ Revision: 355240
- fix categories
- New version 0.11.2

* Tue Jan 20 2009 Funda Wang <fundawang@mandriva.org> 0.11-2mdv2009.1
+ Revision: 331850
- update url
- fix building under 2008.0

* Tue Jan 20 2009 Funda Wang <fundawang@mandriva.org> 0.11-1mdv2009.1
+ Revision: 331813
- fix desktop file
- New version 0.11

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%update_scrollkeeper/%%clean_scrollkeeper
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Mar 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10.7-3mdv2007.1
+ Revision: 147830
- rebuild to fix deps, fix buildrequires

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 0.10.7-2mdv2007.0
+ Revision: 53654
- xdg menu && %%mkrel
- Import gnome-mud

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Sat May 14 2005 Jerome Soyer <saispo@mandriva.org> 0.10.6-1mdk
- New version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.10.5-3mdk
- Rebuild for new python

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 0.10.5-2mdk
- BuildRequires

* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.5-1mdk
- From Jerome Soyer (saispo) <jeromesoyer@yahoo.fr>
  - First test to build package
- cleanup, Buildrequires

